RSS   Vulnerabilities for 'Elinks'   RSS

2018-02-23
 
CVE-2012-6709

CWE-295
 

 
ELinks 0.12 and Twibright Links 2.3 have Missing SSL Certificate Validation.

 
2013-01-02
 
CVE-2012-4545

CWE-287
 

 
The http_negotiate_create_context function in protocol/http/http_negotiate.c in ELinks 0.12 before 0.12pre6, when using HTTP Negotiate or GSS-Negotiate authentication, delegates user credentials through GSSAPI, which allows remote servers to authenticate as the client via the delegated credentials.

 
2009-09-14
 
CVE-2008-7224

CWE-119
 

 
Buffer overflow in entity_cache in ELinks before 0.11.4rc0 allows remote attackers to cause a denial of service (crash) via a crafted link.

 
2007-09-21
 
CVE-2007-5034

CWE-200
 

 
ELinks before 0.11.3, when sending a POST request for an https URL, appends the body and content headers of the POST request to the CONNECT request in cleartext, which allows remote attackers to sniff sensitive data that would have been protected by TLS. NOTE: this issue only occurs when a proxy is defined for https.

 
2007-04-13
 
CVE-2007-2027

CWE-134
 

 
Untrusted search path vulnerability in the add_filename_to_string function in intl/gettext/loadmsgcat.c for Elinks 0.11.1 allows local users to cause Elinks to use an untrusted gettext message catalog (.po file) in a "../po" directory, which can be leveraged to conduct format string attacks.

 
2006-11-15
 
CVE-2006-5925

CWE-Other
 

 
Links web browser 1.00pre12 and Elinks 0.9.2 with smbclient installed allows remote attackers to execute arbitrary code via shell metacharacters in an smb:// URI, as demonstrated by using PUT and GET statements.

 
2003-02-19
 
CVE-2002-1405

 

 
CRLF injection vulnerability in Lynx 2.8.4 and earlier allows remote attackers to inject false HTTP headers into an HTTP request that is provided on the command line, via a URL containing encoded carriage return, line feed, and other whitespace characters.

 


Copyright 2019, cxsecurity.com

 

Back to Top